/*  This file is part of libravatarserv.
 *  Copyright © 2022 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "helpers.hpp"

#include <cstdlib>

namespace libravatarserv {

// NOLINTNEXTLINE(bugprone-easily-swappable-parameters)
std::string_view read_env(const std::string_view name,
                          const std::string_view default_value) {
    // NOLINTNEXTLINE(concurrency-mt-unsave)
    const char *env{std::getenv(name.data())};
    if (env != nullptr) {
        return env;
    }
    return default_value;
}

} // namespace libravatarserv
