/*  This file is part of libravatarserv.
 *  Copyright © 2022 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIBRAVATARSERV_IMAGE_HPP
#define LIBRAVATARSERV_IMAGE_HPP

#include "fs-compat.hpp"
#include "types.hpp"

#include <Magick++/Image.h>

#include <optional>

namespace libravatarserv::image {

// read image from file
[[nodiscard]] Magick::Image get(const fs::path &filepath, size_t size);

// Generate identicon from hash
[[nodiscard]] Magick::Image generate_identicon(const request_t &req);

// write image with headers to stdout
void write(Magick::Image &img,
           std::optional<std::string_view> magick_force = {});

} // namespace libravatarserv::image

#endif // LIBRAVATARSERV_IMAGE_HPP
