/*  This file is part of libravatarserv.
 *  Copyright © 2022 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIBRAVATARSERV_REQUEST_HPP
#define LIBRAVATARSERV_REQUEST_HPP

#include "types.hpp"

#include <string>
#include <string_view>

namespace libravatarserv::request {

// parse request and return results
[[nodiscard]] request_t parse(std::string_view uri);

// get one parameter from an URI
[[nodiscard]] std::string_view get_parameter(std::string_view uri,
                                             const std::string &parameter);

} // namespace libravatarserv::request

#endif // LIBRAVATARSERV_REQUEST_HPP
